﻿using System.Collections.Generic;
using System.Windows.Forms;

namespace MyVocabulary.App_Code
{
    //Class used to add additional, hidden values to a ListViewItem 
    public class CustomListViewItem : ListViewItem
    {
        protected Dictionary<string, object> additionalInfo;
        public Dictionary<string, object> AdditionalInfo
        {
            get
            {
                if (additionalInfo == null)
                    additionalInfo = new Dictionary<string, object>();
                return additionalInfo;
            }

            set
            {
                additionalInfo = value;
            }
        }

        public CustomListViewItem()
        {
        }

        public CustomListViewItem(string text) : base(text)
        {
        }

        public CustomListViewItem(string[] items)
            : base(items)
        {
        }
    }
}
